Open CASCADE Technology: BOPAlgo_SectionAttribute Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BOPAlgo_SectionAttribute Class Reference

Class is a container of three flags used by intersection algorithm. More...

`#include <BOPAlgo_SectionAttribute.hxx>`

## Public Member Functions
| BOPAlgo_SectionAttribute (const Standard_Boolean Aproximation=Standard_True, const Standard_Boolean PCurveOnS1=Standard_True, const Standard_Boolean PCurveOnS2=Standard_True)
| Initializes me by flags. More...
void | Approximation (const Standard_Boolean theFlag)
| Modifier. More...
void | PCurveOnS1 (const Standard_Boolean theFlag)
| Modifier. More...
void | PCurveOnS2 (const Standard_Boolean theFlag)
| Modifier. More...
Standard_Boolean | Approximation () const
| Selector. More...
Standard_Boolean | PCurveOnS1 () const
| Selector. More...
Standard_Boolean | PCurveOnS2 () const
| Selector. More...

## Detailed Description

Class is a container of three flags used by intersection algorithm.

## Constructor & Destructor Documentation

BOPAlgo_SectionAttribute::BOPAlgo_SectionAttribute | ( | const Standard_Boolean | Aproximation = `Standard_True`,
|  | const Standard_Boolean | PCurveOnS1 = `Standard_True`,
|  | const Standard_Boolean | PCurveOnS2 = `Standard_True`
| ) |  |

Initializes me by flags.

## Member Function Documentation

void BOPAlgo_SectionAttribute::Approximation | ( | const Standard_Boolean | theFlag | ) |

Modifier.

Standard_Boolean BOPAlgo_SectionAttribute::Approximation | ( |  | ) | const

Selector.

void BOPAlgo_SectionAttribute::PCurveOnS1 | ( | const Standard_Boolean | theFlag | ) |

Modifier.

Standard_Boolean BOPAlgo_SectionAttribute::PCurveOnS1 | ( |  | ) | const

Selector.

void BOPAlgo_SectionAttribute::PCurveOnS2 | ( | const Standard_Boolean | theFlag | ) |

Modifier.

Standard_Boolean BOPAlgo_SectionAttribute::PCurveOnS2 | ( |  | ) | const

Selector.

The documentation for this class was generated from the following file:

- BOPAlgo_SectionAttribute.hxx